<?php
/**
 *
 * "Content organization on the number of votes"
 * http://www.script-tutorials.com/content-organization-on-the-number-of-votes/
 *
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 * 
 * Copyright 2013, Script Tutorials
 * http://www.script-tutorials.com/
 */

require_once('CMySQL.php'); // include the database class

class CPosts {

    // constructor
    function CPosts() {
    }

    // get recent (last) posts
    function getRecentPosts() {
        $a = $GLOBALS['MySQL']->getAll("SELECT * FROM `s395_posts` ORDER BY `id` DESC");
        return $this->resultToHtml($a);
    }

    // get top posts
    function getTopPosts() {
        $a = $GLOBALS['MySQL']->getAll("SELECT * FROM `s395_posts` ORDER BY `votecnt` DESC");
        return $this->resultToHtml($a);
    }

    // turn array of results into html output
    function resultToHtml($a) {
        $posts = '';
        foreach ($a as $i => $post) {
            $posts .= <<<EOF
<article id="{$post['id']}">
    <h2>{$post['title']}</h2>
    <i>{$post['description']}</i>
    <b>( {$post['votecnt']} votes )</b>
    <button>vote up</button>
</article>
EOF;
        }
        return $posts;
    }

    // add vote
    function addVote($i) {
        if ($this->getVisitorIP()) {
            $GLOBALS['MySQL']->res("UPDATE `s395_posts` SET `votecnt` = `votecnt` + 1 WHERE `id` = '{$i}'");
        }
    }

    // get visitor IP address
    function getVisitorIP() {
        $ip = "0.0.0.0";
        if( ( isset( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) && ( !empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) ) {
            $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
        } elseif( ( isset( $_SERVER['HTTP_CLIENT_IP'])) && (!empty($_SERVER['HTTP_CLIENT_IP'] ) ) ) {
            $ip = explode(".",$_SERVER['HTTP_CLIENT_IP']);
            $ip = $ip[3].".".$ip[2].".".$ip[1].".".$ip[0];
        } elseif((!isset( $_SERVER['HTTP_X_FORWARDED_FOR'])) || (empty($_SERVER['HTTP_X_FORWARDED_FOR']))) {
            if ((!isset( $_SERVER['HTTP_CLIENT_IP'])) && (empty($_SERVER['HTTP_CLIENT_IP']))) {
                $ip = $_SERVER['REMOTE_ADDR'];
            }
        }
        return $ip;
    }
}

$GLOBALS['CPosts'] = new CPosts();