<?php
/**
 *
 * "Content organization on the number of votes"
 * http://www.script-tutorials.com/content-organization-on-the-number-of-votes/
 *
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 * 
 * Copyright 2013, Script Tutorials
 * http://www.script-tutorials.com/
 */

require_once('classes/CPosts.php'); // include the main class

// accept a vote
if ($_POST && $_POST['action'] == 'vote' && (int)$_POST['id']) {
    $GLOBALS['CPosts']->addVote((int)$_POST['id']);
    echo 1; exit;
}

$recent_posts = $GLOBALS['CPosts']->getRecentPosts();
$top_posts = $GLOBALS['CPosts']->getTopPosts();

?>
<!DOCTYPE html>
<html lang="en" >
    <head>
        <meta charset="utf-8" />
        <title>Content organization on the number of votes | Script Tutorials</title>

        <link href="css/main.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="js/jquery-1.10.2.js"></script>
    </head>
    <body>
        <header>
            <h2>Back to '<a href="http://www.script-tutorials.com/content-organization-on-the-number-of-votes/">Content organization on the number of votes</a>' tutorial</h2>
        </header>
        <div class="container">
            <div class="section">
                <h1>Top posts:</h1>
                <?= $top_posts ?>
            </div>
            <div class="section">
                <h1>Recent posts:</h1>
                <?= $recent_posts ?>
            </div>
        </div>

        <script>
        $(window).load(function() {
            $('article button').click(function(e) {
                var id = $(this).parent().attr('id');
                if (id) {
                    $.post('index.php', { action: 'vote', id: id }, function(data) {
                        if (data) {
                            location.reload();
                        }
                    });
                }
            });
        });
        </script>
    </body>
</html>